# Last edited on 2000-05-05 17:06:37 by stolfi

PUZZLE = ceramic-2
FRAGNUM = 0107
VARIANT = a
PIECE = ${PUZZLE}-${FRAGNUM}
DIR = ${PIECE}-${VARIANT}
CERAMFILE = /home/phd/hcgl/tese/tests/${PUZZLE}/${FRAGNUM}/f000.flc

PZFILTER = ../${M3PLATFORM}/PZFilter

.PHONY: all

all: ${DIR}/c002.eps ${DIR}/p002.eps ${DIR}/g002.eps 

${DIR}/r000.flc: ${CERAMFILE}
	@echo "### creating ${DIR}/r000.flc ###"
	if [ ! -d ${DIR} ]; then mkdir ${DIR}; fi
	/n/gnu/bin/cp -v ${CERAMFILE} ${DIR}/r000.flc
	do-draw-curve ${PIECE} ${VARIANT} r 000

${DIR}/p002.eps: ${DIR}/r000.flc ${PZFILTER} do-filter-para    
	@echo "### parametric filtering of ${DIR}/r000.flc ###"
	do-filter-para ${PIECE} ${VARIANT} r000
	for band in 001 002 004 008 016 032 064 128 256 ; do \
	  do-draw-curve-para ${PIECE} ${VARIANT} p $${band}; \
	done

${DIR}/c002.eps: ${DIR}/r000.flc ${PZFILTER} do-filter-cdif    
	@echo "### diffusion filtering of ${DIR}/r000.flc ###"
	do-filter-cdif ${PIECE} ${VARIANT} r000
	for band in 001 002 004 008 016 032 064 128 256 ; do \
	  do-draw-curve-cdif ${PIECE} ${VARIANT} c $${band}; \
	done

${DIR}/g002.eps: ${DIR}/r000.flc ${PZFILTER} do-filter-geo    
	@echo "### geometric filtering of ${DIR}/r000.flc ###"
	do-filter-geo ${PIECE} ${VARIANT} r000
	for band in 001 002 004 008 016 032 064 128 256 ; do \
	  do-draw-curve-geo ${PIECE} ${VARIANT} g $${band}; \
	  do-draw-filtering ${PIECE} ${VARIANT} g 000 g $${band}; \
	done

