# Last edited on 2000-05-05 17:04:03 by stolfi

SHAPE = gear
PIECE = gear-1
FRQ = 032
VARIANT = ${FRQ}
DIR = ${PIECE}-${VARIANT}

PZFILTER = ../${M3PLATFORM}/PZFilter

.PHONY: all

all: ${DIR}/c002.eps ${DIR}/p002.eps ${DIR}/g002.eps ${DIR}/d002.eps

${DIR}/r000.flc: ${SHAPE}.create
	@echo "### creating ${DIR}/r000.flc ###"
	if [ ! -d ${DIR} ]; then mkdir ${DIR}; fi
	${SHAPE}.create -f trace.gawk -v frq=${FRQ} > ${DIR}/r000.flc
	do-draw-curve ${PIECE} ${VARIANT} r 000

${DIR}/p002.eps: ${DIR}/r000.flc ${PZFILTER} do-filter-para    
	@echo "### parametric filtering of ${DIR}/r000.flc ###"
	do-filter-para ${PIECE} ${VARIANT} r000
	for band in 001 002 004 008 016 032 064 128 256 ; do \
	  do-draw-curve-para ${PIECE} ${VARIANT} p $${band}; \
	done

${DIR}/c002.eps: ${DIR}/r000.flc ${PZFILTER} do-filter-cdif    
	@echo "### parametric filtering of ${DIR}/r000.flc ###"
	do-filter-cdif ${PIECE} ${VARIANT} r000
	for band in 001 002 004 008 016 032 064 128 256 ; do \
	  do-draw-curve-para ${PIECE} ${VARIANT} c $${band}; \
	done

${DIR}/g002.eps: ${DIR}/r000.flc ${PZFILTER} do-filter-geo    
	@echo "### geometric filtering of ${DIR}/r000.flc ###"
	do-filter-geo ${PIECE} ${VARIANT} r000
	for band in 001 002 004 008 016 032 064 128 256 ; do \
	  do-draw-curve-geo ${PIECE} ${VARIANT} g $${band}; \
	  do-draw-filtering ${PIECE} ${VARIANT} g 000 g $${band}; \
	done

${DIR}/d002.eps: ${DIR}/r000.flc ${PZFILTER} do-filter-double    
	@echo "### double-step geometric filtering of ${DIR}/r000.flc ###"
	do-filter-double ${PIECE} ${VARIANT} r000
	for band in 001 002 004 008 016 032 064 128 256 ; do \
	  do-draw-curve-geo ${PIECE} ${VARIANT} d $${band}; \
	  do-draw-filtering ${PIECE} ${VARIANT} g 000 d $${band}; \
	done

