INTERFACE PZFullPlot;

(* Contour plotting routines, complete with file open/close. *)
(* Last edited on 1999-09-04 19:47:18 by hcgl *)

IMPORT PZLR3Chain, PZCandidate;
FROM PZTypes IMPORT NAT, BOOL;

(* The following procedures open a "PSPlot" file and draw things into *)
(* it, with appropriate colors etc. *)

PROCEDURE Candidate(
    fname: TEXT;  (* Without extension *)
    READONLY cand: PZCandidate.T;
    READONLY c0, c1: PZLR3Chain.T;  (* Chains, already mapped; *)
    whole: BOOL;
    closed: BOOL;
    dots: BOOL;
    pairing: BOOL;
    labels: BOOL;
    pointers: BOOL;
    axes: BOOL;
    epsFormat: BOOL;
    caption: TEXT := ""; (* Ignored if "epsFormat = TRUE". *)
    step: NAT := 1; 
  );
  (*
    Similar to "PZPlot.Candidate", but also opens the file 
    and chooses the scales to fit the curves.
    
    The extension will be ".ps" or ".eps" depending 
    on the "epsFormat" flag. *)

END PZFullPlot.

(*
  Copyright  2001 Universidade Estadual de Campinas (UNICAMP).
  Authors: Helena C. G. Leito and Jorge Stolfi.
  
  This file can be freely distributed, used, and modified, provided
  that this copyright and authorship notice is preserved, and that any
  modified versions are clearly marked as such.
  
  This software has NO WARRANTY of correctness or applicability for
  any purpose. Neither the authors nor their employers chall be held
  responsible for any losses or damages that may result from its use.
*)
